[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTabControl.CanChange

Indicates whether the tab control can update its Tabs property.

## Declaration

Source position: comctrls.pp line 835

`protected function TTabControl.CanChange: Boolean; override;`

## Function result

True if the Tabs for the control can be modified.

## Description

Signals the OnChanging event handler (when assigned) to get the return value for the method. The default return value is True when OnChanging has not been assigned.

## See also

TCustomTabControl.Tabs |  | Contains the list of pages accessible in the tabbed control.
TCustomTabControl.OnChanging |  | Event handler signalled prior to changing the active tab/page on the tabbed control.